const gulp = require('gulp');
const connect = require('gulp-connect');
const sass = require('gulp-sass');
const postcss = require('gulp-postcss');
const autoprefixer = require('autoprefixer');
const cssnano = require('cssnano');

const HTML = './index.html';
const FILE = './src/jason-reset.scss';
const OUTPUT = './dist';

gulp.task('dev', ['build', 'watch'], function () {
  connect.server({
    root: './',
    host: '0.0.0.0',
    port: 8080,
    livereload: true
  });
});

gulp.task('build', function () {
  gulp.src(FILE)
    .pipe(sass())
      .on('error', (err) => {
        console.log(err);
      })
    .pipe(postcss([
      autoprefixer({ browsers: ['> 5%'] })
    ]))
    .pipe(postcss([
      cssnano({ safe: true })
    ]))
    .pipe(gulp.dest(OUTPUT))
    .pipe(connect.reload());
});

gulp.task('watch', function () {
  gulp.watch(HTML, function () {
    gulp.src('./*.html')
    .pipe(connect.reload());
  });
  gulp.watch(FILE, ['build']);
});
